import { h } from '@stencil/core';
export class CookieCategory {
  constructor() {
    this.onKeyPress = (e, target, index) => {
      const enter = e.key === "Enter" ||
        e.which === 13;
      if (enter) {
        switch (target) {
          case "category":
            this.openCloseCategory.emit(index);
            break;
        }
      }
    };
    this.loadCategoryItem = (item) => {
      return (h("div", { class: "m-cookie-consent__category u-margin-top" }, h("div", { class: "m-cookie-consent__category-title" }, h("h2", { class: "h6", role: "button", tabindex: 0, onClick: () => this.openCloseCategory.emit(this.index), onKeyDown: (e) => this.onKeyPress(e, "category", this.index) }, h("aui-icon", { name: `ai-arrow-${item.open ? 'down' : 'right'}-1` }), " ", item.name), h("div", { class: "u-text-right" }, !item.showSwitch && (h("p", null, this.translations.textAlwaysOn)), item.showSwitch && (h("button", { class: "a-switch", role: "switch", "aria-checked": item.enabled.toString(), onClick: () => this.checkCategory.emit(this.index) }, h("div", { class: "a-switch__label a-switch__label--on", "aria-hidden": "true" }, this.translations.textOn), h("div", { class: "a-switch__label a-switch__label--off", "aria-hidden": "true" }, this.translations.textOff), h("div", { class: "a-switch__toggle", "aria-hidden": "true" }))))), item.open && (h("div", { class: "m-cookie-consent__category-detail u-margin-top-xs" }, h("p", { class: "u-margin-bottom-xs" }, item.description), item.cookies &&
        h("aui-cookie-table", { data: item, translations: this.translations })))));
    };
    this.data = undefined;
    this.index = undefined;
    this.translations = undefined;
  }
  render() {
    return (this.loadCategoryItem(this.data));
  }
  static get is() { return "aui-cookie-category"; }
  static get properties() {
    return {
      "data": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "any[]",
          "resolved": "any[]",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        }
      },
      "index": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "index",
        "reflect": false
      },
      "translations": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "TranslationsInterface",
          "resolved": "TranslationsInterface",
          "references": {
            "TranslationsInterface": {
              "location": "import",
              "path": "../cookie-consent.interface"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        }
      }
    };
  }
  static get events() {
    return [{
        "method": "openCloseCategory",
        "name": "openCloseCategory",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }, {
        "method": "checkCategory",
        "name": "checkCategory",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }];
  }
}
//# sourceMappingURL=cookie-category.js.map
