import { ConfigInterface, TranslationsInterface } from './cookie-consent.interface';
export declare class CookieConsent {
  /** Extra CSS class(es) to add */
  branding: string;
  /** Configuration of your cookie consent window */
  config: string;
  /** If set to true, the modal will show the cookie preferences and not the default screen with the title and description */
  openPreferences: boolean;
  /** Set the translation strings for the cookie consent */
  translations: string;
  /** Set the current enovironment, this will impact the name of the cookie where the preferences will be saved. eg. 'acceptance' */
  environment: string;
  /** Set the domain where you want your cookiepreferences to be saved. eg. 'antwerpen.be' */
  domain: string;
  /** Single path or comma seperated list of paths on which the cookie consent will not open */
  excludedpaths: string;
  /** Runs when new cookie preferences are saved */
  preferencesSaved: Function;
  configData: ConfigInterface;
  translationData: TranslationsInterface;
  hidden: boolean;
  showPreferences: boolean;
  checkedCategories: any[];
  currentEnvironment: string;
  openedManually: boolean;
  componentRef: HTMLElement;
  modalRef: HTMLElement;
  componentWillLoad(): void;
  componentDidLoad(): void;
  parseConfigProp(newValue: string): void;
  parseTranslationsProp(newValue: string): void;
  watchHandler(newValue: boolean): void;
  handleCheckCategory(event: CustomEvent<number>): void;
  handleOpenCloseCategory(event: CustomEvent<number>): void;
  checkExcludedPaths(): void;
  loadConfigAndTranslations(): void;
  handleTranslations(translations?: TranslationsInterface): void;
  checkEnvironment(): void;
  setCookie(type?: string): void;
  checkCookie(): void;
  checkCookiePolicy(): any;
  openCookiePreferences(): void;
  handleAcceptAll(e: any): void;
  handleAcceptOnlyNecessary(e: any): void;
  handleShowPreferences(): void;
  handleHidePreferences(): void;
  savePreferences(): void;
  hideModal(): void;
  showCategories: () => any[];
  checkCookieConfig: () => any;
  showCookieConsentDashboard: () => any;
  showCookieConsentPreferences: () => any;
  render(): any;
}
